Freecad 0.19 funktioniert nicht

  • Hallo,


    ich habe vor etwa einem halben Jahr FreeCAD auf meinen Rechner geladen und schon einige Zeit mit Tutorials auf Youtube vergeudet. Leider klappt es nie. Ich gehe immer genau nach Anleitung vor, und dann kommt irgendeine für mich völlig unverständliche Fehlermeldung. Heute habe ich mich mit diesem Video abgegeben:

    External Content www.youtube.com
    Content embedded from external sources will not be displayed without your consent.
    Through the activation of external content, you agree that personal data may be transferred to third party platforms. We have provided more information on this in our privacy policy.

    Den Versuch, die 2D-Zeichnung nachzuvollziehen, habe ich nach fast einem Dutzend Fehlversuchen aufgegeben. Meistens war es nicht möglich, dem Kreis einen Radius zuzuweisen, dann hat das Zuschneiden nicht geklappt, und wenn doch, dann war das Aufdoppeln nicht möglich. Hat womöglich meine Version eine Macke oder ist mein Rechner zu schlapp? Hat jemand schon mal ähliche Erfahrungen gemacht?


    Herbert

  • Hallo Herbert,


    es liegt weder an Deinem Rechner noch an der Version (denke ich). Auch ich habe einige Zeit gebraucht und komme mit manchen auch noch nicht klar. In den Videos sieht man manchmal nicht, welche Ebene (XY, XZ, ...) ausgewählt ist. Deshalb funktioniert oft das Aufdoppeln nicht.


    Beim Zuweisen von Beschränkungen (Constraints) immer darauf achten, das genau soviele Objekte ausgewählt sind wie benötigt. Beim Radius also nur der Kreis selektiert ist.


    Du kannst mir eine PN schreiben, dann können wir auch telefonieren oder es per Fernwartung klären.


    Gruß

    Stefan

  • Hier mal eine der Fehlermeldungen, in diesem Fall beim Versuch, einen Viertelkreis aus einem Kreis zu schneiden:


    09:42:25 Traceback (most recent call last):

    File "<string>", line 1, in <module>

    <class 'ValueError'>: Not able to trim curve with the given index: 0

    09:42:25 App.getDocument('Unbenannt').getObject('Sketch').trim(0,App.Vector(40.344055,44.366436,0))

    09:42:25 Failed to trim edge: Not able to trim curve with the given index: 0

    09:42:57 Traceback (most recent call last):

    File "<string>", line 1, in <module>

    <class 'ValueError'>: Not able to trim curve with the given index: 0

    09:42:57 App.getDocument('Unbenannt').getObject('Sketch').trim(0,App.Vector(48.405716,35.012875,0))

    09:42:57 Failed to trim edge: Not able to trim curve with the given index: 0


    Bei dem erwähnten Film in der Minute 24:30.


    Herbert

  • Hallo Herbert,

    kein einfaches Thema. Ich habe es gerade in FreeCAD nachvollzogen und hatte folgende Probleme:
    Nachdem der Viertelkreis ausgeschnitten war, hatte ich wieder drei Freiheitsgrade, die ich alle erstmal wieder beseitigen mußte. Es betraf die zweite Line, die zur Trennung in den Viertelkreis gezogen wurden (die horizontale Linie). Da mußte ich die Länge und Position festlegen, danach war alles wieder "grün" und ich konnte aufpolstern.

    Mit Deinen Fehlermeldungen kann ich leider nicht anfangen, meine Fehler liegen meistens in Zuordnungen von Länge und Position, also irgendwelchen Freiheitsgraden.

    Gruß aus der 3D Anfägerrige

    Chris

    Der Pessimist sieht das Schwarze im Tunnel
    Der Optimist sieht ein Licht am Ende des Tunnels
    Der Realist sieht den Zug kommen
    Der Lokführer sieht drei Deppen im Gleis sitzen :D

  • Ich vermute da ist irgendwo ein Hänger im Programm. Es ist manchmal nicht plausibel wo auf einmal Constraints herkommen. Die gleiche Zeichnung nochmal vollkommen neu aufgesetzt und alles funktioniert. Manchmal ist es auch hilfreich einen Schritt abzuspeichern und dann die Zeichnung neu aufrufen. Bin aus lauter Frust auch schon mit dem selben Projekt auf die Version 0.18 gewechselt und dort lief es dann glatt....


    Roland

  • Hallo Herbert,


    ich habe es gerade mit Freecad 0.19 nachgeprüft. Was Du auf den Video vielleicht nicht erkennen kannst ist die Übung des Aufzeichners beim "Treffen" der Objekte. Achte bitte auf folgendes:


    Beim Erstellen des Kreises den Mittelpunkt exakt auf den Nullpunkt positionieren (es erscheint dann das Symbol Koinzdenz neben dem Mauszeiger). Bei entsprechenden Zoom muss es auch nicht so exakt sein.


    Bei der vertikalen Linie genau den Punkt auf dem Kreisrand treffen (wieder auf das Symbol neben dem Mauszeiger achten). Bei der horizontalen Linie unbedingt vom Mittelpunkt nach rechts auf dem Kreisrand oder sogar darüber hinaus gehen.


    Ich bekomme die gleiche Fehlermeldung beim Trim wenn die rechte Linie zu kurz ist und den Kreis nicht berührt.


    Du kannst die Linien auch "Wild" einzeichnen und dann manuell die Beschränkungen erstellen. Tut man sich am Anfang leichter, bis man genau die Symbole kennt.


    So hat's bei mir geklappt!


    Gruß
    Stefan

  • Hallo Stefan,


    das ist schon eines der Probleme. Die Stelle, an der die zweite Linie enden soll, ist genau unter der Beschriftung "Rad 60 cm". Ich habe es immerhin im dritten Anlauf geschafft, aber Aufpolstern geht immer noch nicht: "failed to validate broken face".

    Vielen Dank für Deine Hilfe, aber was schon so anfängt, wird nichts.


    Gruß,

    Herbert

  • Hallo Herbert,


    Du kannst diese Beschriftung mit der Maus einfach verschieben.


    Es gibt gerade zu den Sketches viele Tutorials. Da wird es auch sehr ausführlich erklärt.


    Wegen dem Aufpolstern nehme ich an, dass Du noch keinen Body erstellt hast. Bitte prüfen, ob Du Dich im Workspace "Part design" befindest. Wenn Du das Video genau betrachtest (bei 24:54) kannst Du erkennen, dass im Modellbaum auf der linken Seite es einen Body "demo_body" gibt. Den hast Du vermutlich noch nicht erstellt. Einfach auf das blaue Symbol in der Symbolleiste klicken, dass genauso aussieht. Der Sketch muss sich dann im Body befinden und es funktioniert.


    Gruß

    Stefan

  • Hallo Stefan,


    daran liegt es nicht, ein body war vorhanden. ich habe es eben nochmal, und zwar ein letztes Mal versucht. Wieder nur unerklärliche Fehlermeldungen. Jetzt fliegt FreeCad vom Rechner.


    Gruß, Herbert

  • Hallo Herbert,


    ich hab mir gerade das installierte Freecad genommen und das Beispiel innerhalb von 30 Sek. nachvollzogen.


    Auch genau so gemacht ... In der Partdesign Workbench einen Body erstellt ( blaues "L"-Würfelchen ) . Dann auf das Symbol mit dem roten Zeugl direkt daneben ... Ebene gewählt ... Kreis gezeichnet ... zwei Striche gezeichnet, trim funktion benutz um Kreissegment wegzuschneiden. Close. Aufpolstern. Fertig...

    Bleibt festzuhalten - es liegt nicht an FreeCad.


    Viele Grüße,

    Stefan

  • Hallo,


    nach meinen Erfahrungen machte FreeCAD 19 ziemlich viele Probleme. Mit FreeCAD 16 konnte ich (im Rahmen der Möglichkeiten von FreeCAD) gut arbeiten.

    Vielleicht hat die 20er Version einige Probleme gelöst, aber ich persöhnlich mag Fusion360 lieber, auch wenn ich mich damit Autodesk ausliefere... .

    Das Beispiel konnte ich allerdings problemlos nachvollziehen.


    viele Grüße

    Karsten


  • Hallo Herbert,


    ... also zur Ehrenrettung - Freecad ist nicht immer logisch und ich hab auch lange gebraucht um mit der Logik der Software klar zu kommen.


    Das Bild hier zeigt den "Sketcher" mit dem die Skizzen erstellt und bearbeitet werden. Was ein wenig "doof" ist - man muss die Skizze von "Oben" bearbeiten .. von anders herum lassen sich nicht in allen Fällen alle Punkte anwählen ( nomalerweise ist das kein Problem ... aber hier könntest Du mit einem Klick auf den Mit Pfeil und(1) gekennzeichneten Button die Skizze erst mal passend bei holen.

    Dann Was eventuell nicht so deutlich zu sehen ist ... an den Schnittpunkten müssen so grüne Punkte sein. wobei noch anzumerken ist ... die Skizze wird erst grün wenn die Skizze vollständig "Eingeschränkt" ist. Einige der Einschränkungen erfolgen beim Zeichen automatisch - andere musst Du explizit setzten. Z.B. den Radius.


    Du könntest z.B. damit beginnen dass Du den Kreis zeichnest und darauf achtest dass Du en Startpunkt auf den Koordinatenursprung setzt. Dann Radiuseinschränkung dran. Dann sollte der Kreis grün werden ( = die Skizze ist vollständig eingeschränkt ). Danach "Close" und aufpolstern.


    Schau Dir noch mal auch andere "Tutorials" an ...

    Wie gesagt mir hat sich auch nicht alles gleich erschlossen ... FC ist da schon ein wenig ein Diva - dafür aber echt mächtig und eben Open-Source - mit all ihren Vor und Nachteilen.


    Viele Grüße,

    Stefan


    PS: Ende nächster Woche ist der Feature-Freeze für die Version 0.20 die dann vermutlich in den nächsten Woche irgendwann Released wird.

    ... und wenn man sich nicht von der wirklich niedrigen Versionsnummer erschrecken lässt ist das schon eine mächtig Software.


    PPS: Antworten gibt es auch im deutschsprachigen Unterforum: FreeCAD Unterform Deutsch

  • Hallo Herbert,

    nicht aufgeben. FreeCad ist extrem Leistungsfähig aber auch zickig. Wenn Du aber eine Woche Zeit investierst wirst auch Du das schaffen. In den Videos wird manchmal geschnitten oder Tastenkürzel verwendet die man nicht mitbekommt. Da hilft es nur verschiedene Tutorials anzusehen und sich selbst diese Zusammenhänge zusammen zu reimen.


    Bleib am Ball, es geht definitiv. Ich hatte in meinen ersten Post schon angesprochen, dass es gerade beim Aufpolstern wichtig ist, dass die Bezugsebenen zueinander passen.


    Ein einfaches Beispiel:


    1. Neues Projekt erstellen, achte darauf, dass Du Dich in der Workbench "Part Design" befindest.

    2. Taste 2 drücken auf der Tastatur (wählt die Ansicht "TOP")

    3. Eine Skizze erstellen und als "Element" XY_Plane auswählen

    4. Zeichnen eines Kreises (wo Egal, Einschränkungen/Freiheitsgrade einfach mal ignorieren)

    5. Skizze schließen

    6 Taste "0" drücken (wähle die Ansicht "Iso") (siehe Menü Ansicht -> Standardansichten -> Axonometric)

    7. Auf den erstellten Sketch klicken (selektieren)

    8. Funktion/Aufgabe Aufpolsterung wählen

    9. Wie Du nun siehst, wird ein neuer Body erstellt und der Sketch wird in diesen verschoben.


    Sketche müssen nicht unbedingt in allen Freiheitsgraden beschränkt werden um damit weiterarbeiten zu können. Es macht Dir aber bei späteren Änderungen das Leben leichter.


    Statt einem Sketch kannst Du auch ein "Drawing (Draft)" verwenden. Du kannst auch Drawings aufpolstern und benötigst nicht zwingend ein kompliziertes Sketch. Dieses Sketch kannst Du auch aus einem Drawing konvertieren und umgekehrt. Man muss es nicht immer komplizierter machen als es ist. Nur Geduld und Mut.


    Gruß

    Stefan

  • Hallo,


    die Fehlermeldung kommt, wenn der Trimmbefehl keine passende schneidende Linie findet.


    Male doch einfach mal einen beliebigen Kreis, durch diesen zeichnest du zwei beliebige Linien (die die Kreislinie schneiden) und dann versuche noch einmal dazwischen zu trimmen. Ich denke, das deine Linien den Kreis nicht schnitten/berührten.


    viele Grüße

    Karsten

  • Hallo Karsten,


    das hatte ich auch vermutet, konnte aber nicht feststellen, ob dem wirklich so war. In diesem Fall würde es aber daran liegen, daß es kaum möglich ist, mit einer Linie eine andere zu treffen.


    MfG

    Herbert

  • Moin Herbert!
    Der Thread ist zwar schon ein wenig älter aber ich habe ihn erst jetzt entdeckt.
    Ich wollte dir an dieser Stelle ein wenig Mut machen zu FreeCAD. Ich selbst hab es seit der Version 0.18 im Einsatz (auf einem Linux-System). (Vorher hab ich viel mit openSCAD gemacht) Die Videos von Flowwie finde ich sehr gut, manchmal kann man aber nicht unbedingt sehen was nun angeklickt wird oder worauf es ankommt. Auch ich habe schon so manche Zeichnung x-mal neu gemacht, bis ich mir einfach ein Button erstellt habe, der mir Zwischenstände einfach per Mausklick als Kopie in einer wiederfindbaren Datei speichert auf die ich dann wieder aufsetzen kann.
    Mein größtes Projekt ist bisher der Entwurf einer kompletten CNC-Fräse mit X-Bauteilen. Manchmal zum Verzweifeln aber durchaus möglich.
    Auch ich habe gehört, das Fusion eine weitaus steilere Lernkurve besitzt (für mich schied das aus, da nicht auf Linux verfügbar), aber es ist alles auch mit FreeCAD möglich. Manchmal eben nur sehr viel mühsamer - vor allem am Anfang.
    Falls du den Versuch mit FreeCAD doch noch nicht aufgegeben hast: Es gibt noch eine weitere Tutorial-Reihe eines inzwischen leider verstorbenen Youtubers, die ganz ausgezeichnet sind, wenn auch nur bis Version 0.18: https://www.youtube.com/c/BPLRFE/videos


    Knut

  • Hallo Namensvetter!

    Ist die Fragestellung noch aktuell?

    "failed to validate broken face" kommt dann, wenn man versucht einen nicht geschlossenen Linienzug aufzupolstern!

    Wegen der lustigen Behandlung von scetchen verwende ich immer noch 0.16, da war das etwas einfacher!

    Falls noch Interesse beteht bitte ein direkte mail an mich senden...

    Gruß aus dem Süden

    Herbert

  • Na ja, so richtig aktuell ist sie nicht mehr. Ich habe dieser Tage einen zweiten (und letzten) Anlauf unternommen und habe in einem FreeCad-Forum entsprechenden Fragen gestellt. Nachdem es zwischenzeitlich sogar funktionierte, habe ich mich bequatschen lassen, alles auf Werkseinstellung zurückzusetzen, und seither funktioniert nichts mehr. Es ist unmöglich, Linienzüge zu schließen, weil die Maus die Linien oder Punkte nicht trifft. Ich fürchte, weitere Beschäftigung mit diesem Programm ist sinnlos.


    Herbert

  • Hallo Herbert,


    ... auch das ist eine "Grundeinstellung" eigentlich nur eine ganz "billige" - unter Edit - Preferences ( Vor- Einstellungen ) - im Unterbereich "Display" die Marker Size und den Pick-Radius vergrößern. Ich hab die Sprache auf englisch stehen - Du findest aber sicher die deutschen Entsprechungen:



    Viele Grüße,


    Stefan

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!